#!/bin/sh
# This file is part of runit-shutdown which is under the terms of GPL v2+
# Copyright (C) 2005-2006 Alejandro Mery <amery@geeks.cl>

exe=$( pgrep -P 1 | sed 's,\(.*\),readlink -f /proc/\1/exe,g' | sh |
	grep -e '/runsvdir$' -e 'runit/1$' -e 'runit/3$' | head -n 1 )
case "$exe" in
	/etc/runit/1)	stage=1	;;
	/etc/runit/3)	stage=3 ;;
	*/runsvdir)	stage=2 ;;
	*)	stage=unknown ;;
esac

echo $stage
[ "$stage" != unknown ]
